Index: gsdl/trunk/macros/urdu.dm
===================================================================
--- gsdl/trunk/macros/urdu.dm	(revision 14119)
+++ gsdl/trunk/macros/urdu.dm	(revision 18430)
@@ -39,12 +39,12 @@
 #------------------------------------------------------------
 
-_textperiodicals_ [l=ur] {Ø¬Ø±Ø§ÛØ¯}  # Updated 9-Jun-2006
+_textperiodicals_ [l=ur] {Ø¬Ø±Ø§ÛØ¯}  
 
 # these three used by the default format statement of the demo and dls collections.
-# -- Missing translation: _textsource_
-# -- Missing translation: _textdate_
-_textnumpages_ [l=ur] {ØµÙØ­Ø§Øª Ú©Û ØªØ¹Ø¯Ø§Ø¯}  # Updated 2-Nov-2006 by rehman
-
-# -- Missing translation: _textsignin_
+
+_textdate_ [l=ur] {ØªØ§Ø±ÛØ® Ø§ØŽØ§Ø¹Øª}  
+_textnumpages_ [l=ur] {ØµÙØ­Ø§Øª Ú©Û ØªØ¹Ø¯Ø§Ø¯}  
+
+
 
 _textdefaultcontent_ [l=ur] {Ø¢ÙŸ Ú©Ø§ Ù
@@ -52,13 +52,24 @@
 Ù Ø³Ú©Ø§Û ØšØ±Ø§Û Ù
 ÛØ±ØšØ§ÙÛ Ø§ÙŸÙÛ ØšØ±Ø§Ø€Ø²Ø± Ú©Ø§ "ØšÛÚ©" ØšÙ¹Ù Ø¯ØšØ§ØŠÛÚº ÛØ§ Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ø§ØµØšØ¹Û Ú©ØªØš Ø®Ø§ÙÛ Ú©Û ÙÛÛÛ Ø§ÙÙŸØ± Ø¯ÛØ§ Ú¯ÛØ§ ÛÙÙ
- ØšÙ¹Ù Ø¯ØšØ§ ÛÛÚºÛ}  # Updated 2-Nov-2006 by rehman
-
-# -- Missing translation: _textdefaulttitle_
-
-# -- Missing translation: _textbadcollection_
-
-# -- Missing translation: _textselectpage_
-
-# -- Missing translation: _collectionextra_
+ ØšÙ¹Ù Ø¯ØšØ§ ÛÛÚºÛ}  
+
+_textdefaulttitle_ [l=ur] {Ø¬Û Ø§ÛØ³ ÚÛ Ø§ÛÙ ØºÙØ·Û}  
+
+_textbadcollection_ [l=ur] {ÛÛ Ù
+Ø¬Ù
+ÙØ¹Û (ØšÙØ§Ù
+ "_cvariable_") Ø§Ø³ Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ ÚÛØ¬ÛÙ¹Ù ÙØ§ØŠØšØ±ÛØ±Û Ù
+ÛÚº Ù
+ÙØ¬ÙØ¯ ÙÛÛÚº ÛÛ}  
+
+_textselectpage_ [l=ur] {ØµÙØ­Û Ù
+ÙØªØ®Øš Ú©Ø±ÛÚº}  
+
+_collectionextra_ [l=ur] {Ø§Ø³ Ù
+Ø¬Ù
+ÙØ¹Û Ù
+ÛÚº _about:numdocs_ Ù
+Ø³ÙØ¯Ø§Øª Ù
+ÙØ¬ÙØ¯ ÛÛÚº Ø§ÙØ± ÛÛ _about:builddate_ Ø¯Ù ÙØšÙ ØšÙØ§ÛØ§ Ú¯ÛØ§ ØªÚŸØ§}  
 
 # this is only used by the collector (where the above _collectionextra_
@@ -71,145 +82,195 @@
 Ø§Ø³ ÙØ¶Ø¹ ÛÙÛ Ù
 Ø¬Ù
-ÙØ¹Û Ú©Ø§ Ø¬Ø§ÛØ²Û ÙÛÙÛ Ú©Û ÙÛÛ <p><a href="_httppagex_(bsummary)">Ø§Ø³ Ø¬Ú¯Û ÙŸØ± Ú©ÙÚ© Ú©Ø±ÛÚº}  # Updated 10-Jun-2006
+ÙØ¹Û Ú©Ø§ Ø¬Ø§ÛØ²Û ÙÛÙÛ Ú©Û ÙÛÛ <p><a href="_httppagex_(bsummary)">Ø§Ø³ Ø¬Ú¯Û ÙŸØ± Ú©ÙÚ© Ú©Ø±ÛÚº}  
 
 _textdescrcollection_ [l=ur] {}
-# -- Missing translation: _textdescrabout_
-_textdescrhome_ [l=ur] {ØµÙØ­Û Ø§ÙÙ}  # Updated 31-Jul-2006
-# -- Missing translation: _textdescrhelp_
-# -- Missing translation: _textdescrpref_
-_textdescrgreenstone_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ ÚÛØ¬ÛÙ¹Ù ÙØ§Ø¡ØšØ±ÛØ±Û Ø³Ø§ÙÙ¹ ÙÛØŠØ±}  # Updated 20-Jun-2006
-# -- Missing translation: _textdescrusab_
+_textdescrabout_ [l=ur] {ØØµÙØ­Û ØªØ¹Ø§Ø±Ù}  
+_textdescrhome_ [l=ur] {ØµÙØ­Û Ø§ÙÙ}  
+
+_textdescrpref_ [l=ur] {ØµÙØ­Û ØªÙØžÛÙ
+Ø§Øª}  
+_textdescrgreenstone_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ ÚÛØ¬ÛÙ¹Ù ÙØ§Ø¡ØšØ±ÛØ±Û Ø³Ø§ÙÙ¹ ÙÛØŠØ±}  
+_textdescrusab_ [l=ur] {Ú©Ø³ Ú©Û Ø§Ø³ØªØ¹Ù
+Ø§Ù Ù
+ÛÚº Ù
+ØŽÚ©Ù ÙŸÛØŽ Ø§ÙØ¡Û}  
 
 
 # Metadata names and navigation bar labels
 
-_textSearch_ [l=ur] {ØªÙØ§ØŽ}  # Updated 31-Jul-2006
-# -- Missing translation: _labelSearch_
+_textSearch_ [l=ur] {ØªÙØ§ØŽ}  
+_labelSearch_ [l=ur] {ØªÙØ§ØŽ}  
 
 # Dublin Core Metadata Element Set, Version 1.1
-# -- Missing translation: _textTitle_
-_labelTitle_ [l=ur] {Ø¹ÙÙØ§ÙØ§Øª}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textCreator_
-# -- Missing translation: _labelCreator_
-# -- Missing translation: _textSubject_
+_textTitle_ [l=ur] {Ø¹ÙÙØ§Ù}  
+_labelTitle_ [l=ur] {Ø¹ÙÙØ§ÙØ§Øª}  
+_textCreator_ [l=ur] {ØªÛØ§Ø± Ú©ÙÙØ¯Û}  
+_labelCreator_ [l=ur] {ØªØ¹Ù
+ÛØ± Ú©ÙÙØ¯Ú¯Ø§Ù}  
+_textSubject_ [l=ur] {Ù
+Ø¶Ù
+ÙÙ}  
 _labelSubject_ [l=ur] {Ù
-ÙØ¶ÙØ¹Ø§Øª}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textDescription_
-# -- Missing translation: _labelDescription_
-# -- Missing translation: _textPublisher_
-# -- Missing translation: _labelPublisher_
+ÙØ¶ÙØ¹Ø§Øª}  
+
+_labelDescription_ [l=ur] {ØªÙØµÛÙØ§Øª}  
+_textPublisher_ [l=ur] {ØŽÙØ§Ø®Øª Ú©ÙÙØ¯Û}  
+_labelPublisher_ [l=ur] {ØŽØ§ØŠØ¹ Ú©Ø±Ø¯Û}  
 _textContributor_ [l=ur] {Ù
-Ø¹Ø§ÙÙ}  # Updated 22-Jun-2006
-# -- Missing translation: _labelContributor_
-# -- Missing translation: _textDate_
-_labelDate_ [l=ur] {ØªÙØ§Ø±ÛØ®}  # Updated 20-Jun-2006
-# -- Missing translation: _textType_
-# -- Missing translation: _labelType_
-# -- Missing translation: _textFormat_
-# -- Missing translation: _labelFormat_
-# -- Missing translation: _textIdentifier_
-# -- Missing translation: _labelIdentifier_
+Ø¹Ø§ÙÙ}  
+_labelContributor_ [l=ur] {Ø­ØµÛ ÚØ§ÙÙÛ ÙØ§ÙÛ}  
+_textDate_ [l=ur] {ØªØ§Ø±ÛØ®}  
+_labelDate_ [l=ur] {ØªÙØ§Ø±ÛØ®}  
+_textType_ [l=ur] {ÙØ³Ù
+}  
+_labelType_ [l=ur] {Ø§ÙØ³Ø§Ù
+}  
+
+
+_textIdentifier_ [l=ur] {ØŽÙØ§Ø®Øª Ú©ÙÙØ¯Û}  
+_labelIdentifier_ [l=ur] {ØŽÙØ§Ø®Øª Ú©ÙÙØ¯Ú¯Ø§Ù}  
 _textSource_ [l=ur] {Ù
 Ø³Ù Ú©Ø§ ÙØ§Ù
-}  # Updated 31-Jul-2006
-# -- Missing translation: _labelSource_
-# -- Missing translation: _textLanguage_
-# -- Missing translation: _labelLanguage_
-# -- Missing translation: _textRelation_
-# -- Missing translation: _labelRelation_
-# -- Missing translation: _textCoverage_
-# -- Missing translation: _labelCoverage_
-# -- Missing translation: _textRights_
-# -- Missing translation: _labelRights_
+}  
+_labelSource_ [l=ur] {Ø§Ø³Ù
+ Ù
+Ø³Ù}  
+_textLanguage_ [l=ur] {Ø²ØšØ§Ù}  
+_labelLanguage_ [l=ur] {Ø²ØšØ§ÙÛÚº}  
+_textRelation_ [l=ur] {Ø±Ø§ØšØ·Û}  
+_labelRelation_ [l=ur] {Ø±Ø§ØšØ·Û}  
+
+
+_textRights_ [l=ur] {Ø­ÙÙÙ}  
+_labelRights_ [l=ur] {Ø­ÙÙÙ}  
 
 # DLS metadata set
 _textOrganization_ [l=ur] {ØªÙØžÛÙ
-}  # Updated 31-Jul-2006
-# -- Missing translation: _labelOrganization_
-# -- Missing translation: _textKeyword_
-# -- Missing translation: _labelKeyword_
-# -- Missing translation: _textHowto_
-# -- Missing translation: _labelHowto_
+}  
+_labelOrganization_ [l=ur] {ØªÙØžÛÙ
+Ø§Øª}  
+_textKeyword_ [l=ur] {Ø§ÛÙ
+ Ø§ØµØ·ÙØ§Ø­}  
+_labelKeyword_ [l=ur] {Ø§ÛÙ
+ Ø§ØµØ·ÙØ§Ø­Ø§Øª}  
+_textHowto_ [l=ur] {Ú©ÛØ³Û}  
+_labelHowto_ [l=ur] {Ú©ÛØ³Û}  
 
 # Miscellaneous Greenstone metadata
 _textPhrase_ [l=ur] {Ø¬Ù
-ÙÛ}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _labelPhrase_
-# -- Missing translation: _textCollage_
-# -- Missing translation: _labelCollage_
-# -- Missing translation: _textBrowse_
-# -- Missing translation: _labelBrowse_
-# -- Missing translation: _textTo_
-# -- Missing translation: _labelTo_
-# -- Missing translation: _textFrom_
-# -- Missing translation: _labelFrom_
-# -- Missing translation: _textAcronym_
+ÙÛ}  
+_labelPhrase_ [l=ur] {Ø¹ØšØ§Ø±Ø§Øª}  
+
+
+_textBrowse_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ}  
+_labelBrowse_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ Ú©Ø±ÛÚº}  
+_textTo_ [l=ur] {Ú©Ù}  
+_labelTo_ [l=ur] {Ú©Ù}  
+_textFrom_ [l=ur] {Ù
+ÙØ¬Ø§ÙØš}  
+_labelFrom_ [l=ur] {Ù
+ÙØ¬Ø§ÙØš}  
+
 _labelAcronym_ [l=ur] {Ù
-Ø®ÙÙØ§Øª}  # Updated 31-Jul-2006
+Ø®ÙÙØ§Øª}  
 
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
-# -- Missing translation: _textdescrdefault_
-
-# -- Missing translation: _textdescrSearch_
-# -- Missing translation: _textdescrType_
-# -- Missing translation: _textdescrIdentifier_
-# -- Missing translation: _textdescrSource_
-# -- Missing translation: _textdescrTo_
-# -- Missing translation: _textdescrFrom_
-# -- Missing translation: _textdescrCollage_
-# -- Missing translation: _textdescrAcronym_
-# -- Missing translation: _textdescrPhrase_
-# -- Missing translation: _textdescrHowto_
-# -- Missing translation: _textdescrBrowse_
-# -- Missing translation: _texticontext_
-# -- Missing translation: _texticonclosedbook_
-# -- Missing translation: _texticonnext_
-# -- Missing translation: _texticonprev_
-
-# -- Missing translation: _texticonworld_
-
-# -- Missing translation: _texticonmidi_
-# -- Missing translation: _texticonmsword_
+_textdescrdefault_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž _1_}  
+
+_textdescrSearch_ [l=ur] {Ù
+Ø®ØµÙØµ Ø§ØµØ·ÙØ§Ø­Ø§Øª Ú©Û ØªÙØ§ØŽ}  
+_textdescrType_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž ÙØ³Ù
+}  
+_textdescrIdentifier_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž ØŽÙØ§Ø®ØªÛ ÙÙ
+ØšØ±}  
+_textdescrSource_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž Ø§Ø³Ù
+ Ù
+Ø³Ù}  
+_textdescrTo_ [l=ur] {Browse by To field}  
+_textdescrFrom_ [l=ur] {ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž Ú©Û Ø·Ø±Ù Ø³Û}  
+
+
+
+
+_textdescrBrowse_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª Ú©Û ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ}  
+
+_texticonclosedbook_ [l=ur] {Ø§Ø³ Ù
+Ø³ÙØ¯Û Ú©Ù Ú©ÚŸÙÙÛÚº Ø§ÙØ± Ù
+ÙØ¯Ø±Ø¬Ø§Øª Ù
+ÙØ§Ø­ØžÛ ÙØ±Ù
+Ø§Ø¡ÛÚº}  
+_texticonnext_ [l=ur] {Ø§Ú¯ÙÛ Ø­ØµÛ ØªÚ©}  
+_texticonprev_ [l=ur] {ÙŸÚÚŸÙÛ Ø­ØµÛ ØªÚ©}  
+
+_texticonworld_ [l=ur] {ÙÛØš Ú©Ø§ Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+
+_texticonmidi_ [l=ur] {MIDI Ù
+Ø³ÙØ¯Û Ú©Ù Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+_texticonmsword_ [l=ur] {Ù
+Ø§Ø¡ÛÚ©Ø±Ù Ø³Ø§ÙÙ¹ ÙØ±Ú Ú©Ø§ Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
 _texticonmp3_ [l=ur] {MP3 Ø¯Ø³ØªØ§ÙÛØ² Ú©Ù Ù
-ÙØ§Ø­Ø¶Û Ú©Û Ø¬ÛÛ}  # Updated 20-Jun-2006
-# -- Missing translation: _texticonpdf_
-# -- Missing translation: _texticonps_
-# -- Missing translation: _texticonppt_
+ÙØ§Ø­Ø¶Û Ú©Û Ø¬ÛÛ}  
+_texticonpdf_ [l=ur] {PDF Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº }  
+_texticonps_ [l=ur] {ÙŸÙØ³Ù¹ Ø³Ú©Ø±ÙŸÙ¹ Ú©Ø§ Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+_texticonppt_ [l=ur] {ÙŸØ§ÙØ± ÙŸÙØ§Ø¡ÙÙ¹ Ú©Ø§ Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
 _texticonrtf_ [l=ur] {RTFØ¯Ø³ØªØ§ÙÛØ² Ù
-ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _texticonxls_
-
-# -- Missing translation: _page_
-_pages_ [l=ur] {ØµÙØ­Ø§Øª}  # Updated 10-Jun-2006
-# -- Missing translation: _of_
-# -- Missing translation: _vol_
-# -- Missing translation: _num_
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+_texticonxls_ [l=ur] {Ù
+Ø§Ø¡ÛÚ©Ø±ÙØ³Ø§ÙÙ¹ Ø§ÛÚ©Ø³Ù Ú©Ø§  Ù
+Ø³ÙØ¯Û Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+
+_page_ [l=ur] {ØµÙØ­Û}  
+_pages_ [l=ur] {ØµÙØ­Ø§Øª}  
+_of_ [l=ur] {Ú©Ø§}  
+
+_num_ [l=ur] {ÙÙ
+ØšØ±}  
 
 _textmonth00_ [l=ur] {}
-# -- Missing translation: _textmonth01_
-# -- Missing translation: _textmonth02_
-# -- Missing translation: _textmonth03_
-# -- Missing translation: _textmonth04_
-# -- Missing translation: _textmonth05_
-# -- Missing translation: _textmonth06_
-# -- Missing translation: _textmonth07_
-# -- Missing translation: _textmonth08_
-# -- Missing translation: _textmonth09_
-# -- Missing translation: _textmonth10_
-# -- Missing translation: _textmonth11_
-# -- Missing translation: _textmonth12_
-
-_textdocument_ [l=ur] {Ø¯Ø³ØªØ§ÙÛØ²}  # Updated 10-Jun-2006
-# -- Missing translation: _textsection_
-# -- Missing translation: _textparagraph_
-
-# -- Missing translation: _magazines_
-
-# -- Missing translation: _nzdlpagefooter_
-
-# -- Missing translation: _linktextHOME_
+_textmonth01_ [l=ur] {Ø¬ÙÙØ±Û}  
+_textmonth02_ [l=ur] {ÙØ±ÙØ±Û}  
+_textmonth03_ [l=ur] {Ù
+Ø§Ø±Ú}  
+_textmonth04_ [l=ur] {Ø§ÙŸØ±ÛÙ}  
+_textmonth05_ [l=ur] {Ù
+ØŠÛ}  
+_textmonth06_ [l=ur] {Ø¬ÙÙ}  
+_textmonth07_ [l=ur] {Ø¬ÙÙØ§ ØŠÛ}  
+_textmonth08_ [l=ur] {Ø§Ú¯Ø³Øª}  
+_textmonth09_ [l=ur] {Ø³ØªÙ
+ØšØ±}  
+_textmonth10_ [l=ur] {Ø§Ú©ØªÙØšØ±}  
+_textmonth11_ [l=ur] {ÙÙÙ
+ØšØ±}  
+_textmonth12_ [l=ur] {Ø¯Ø³Ù
+ØšØ±}  
+
+_textdocument_ [l=ur] {Ø¯Ø³ØªØ§ÙÛØ²}  
+_textsection_ [l=ur] {Ø­ØµÛ}  
+_textparagraph_ [l=ur] {ÙŸÛØ±Ø§Ú¯Ø±Ø§Ù}  
+
+_magazines_ [l=ur] {Ù
+ÛÚ¯Ø²ÛÙ}  
+
+
+
+_linktextHOME_ [l=ur] {ØµÙØ­Û Ø§ÙÙ}  
 _linktextHELP_ [l=ur] {Ù
-Ø¯Ø¯}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _linktextPREFERENCES_
+Ø¯Ø¯}  
+_linktextPREFERENCES_ [l=ur] {ÙŸÛØŽÚ©Ø³ Ú©Û ØªÙØžÛÙ
+Ø§Øª}  
 
 
@@ -219,17 +280,23 @@
 ######################################################################
 
-_textpagetitle_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ø§ØµØšØ¹Û Ú©ØªØš Ø®Ø§ÙÛ}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textadmin_
-# -- Missing translation: _textabgs_
-# -- Missing translation: _textgsdocs_
+_textpagetitle_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ø§ØµØšØ¹Û Ú©ØªØš Ø®Ø§ÙÛ}  
+
+
+
+_textadmin_ [l=ur] {Ø­Ø§Ú©Ù
+ Ú©Ø§ ØµÙØ­Û}  
+_textabgs_ [l=ur] {Ú¯ÛÙ Ø³Ù¹ÙÙ Ú©Û ØšØ§Ø±Û Ù
+ÛÚº}  
+_textgsdocs_ [l=ur] {Ú¯ÛÙ Ø³Ù¹ÙÙ Ú©Û ÙÚ©ÚŸØª ÙŸÚÚŸØª}  
 
 _textdescradmin_ [l=ur] {ØØ§Ø³ Ø³Û Ø¢ÙŸ ÙÛ ØµØ§Ø±Ù Ø¯Ø§Ø®Ù Ú©Ø± Ø³Ú©ØªÛ ÛÛÚº Ø§ÙØ± Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ú©Û Ø§ÙØ³Ù¹Ø§ÙÛØŽÙ Ù
 ÛÚº Ù
 Ø¬Ù
-ÙØ¹Û Ø¬Ø§Øª Ú©Û ØªÙØ®ÛØµ Ú©Ø± Ø³Ú©ØªÛ ÛÛÚº  }  # Updated 2-Nov-2006 by rehman
-
-# -- Missing translation: _textdescrgogreenstone_
-
-# -- Missing translation: _textdescrgodocs_
+ÙØ¹Û Ø¬Ø§Øª Ú©Û ØªÙØ®ÛØµ Ú©Ø± Ø³Ú©ØªÛ ÛÛÚº}  
+
+
+
+_textdescrgodocs_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ú©Û ÚŸØ¯Ø§ÛØª ÙØ§Ù
+Û}  
 
 #####################################################################
@@ -238,22 +305,36 @@
 package gli
 
-# -- Missing translation: _textgli_
-# -- Missing translation: _textdescrgli_
+
+_textdescrgli_ [l=ur] {ÛÛ ÙØŠÛ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª ØšÙØ§ÙÛØ ÙŸÛÙÛ Ø³Û Ù
+ÙØ¬ÙØ¯ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ú©Ù ØªØšØ¯ÛÙ Ø§ÙØ± ÛÙ¹Ø§ÙÛ Ù
+ÛÚº Ù
+Ø¯Ø¯ ÙØ±Ø§ÛÙ
+ Ú©Ø±ØªØ§ ÛÛ}  
 
 package collector
 
 _textcollector_ [l=ur] {Ø¬Ù
-Ø¹ Ú©ÙÙØ¯Û}  # Updated 1-Nov-2006 by rehman
-# -- Missing translation: _textdescrcollector_
+Ø¹ Ú©ÙÙØ¯Û}  
+
 
 package depositor
 
-# -- Missing translation: _textdepositor_
-# -- Missing translation: _textdescrdepositor_
+_textdepositor_ [l=ur] {Ø¬Ù
+Ø¹ Ú©ÙÙØ¯Û	}  
+
 
 package gti
 
-# -- Missing translation: _textgti_
-# -- Missing translation: _textdescrtranslator_
+_textgti_ [l=ur] {Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ù
+ØªØ±Ø¬Ù
+}  
+_textdescrtranslator_ [l=ur] {ÛÛ Ú©Ø«ÛØ±Ø§ÙÙØ³Ø§ÙÛ Ú¯Ø±ÛÙ Ø³Ù¹ÙÙ Ø§ÙÙ¹Ø±ÙÛØ³ Ú©Ù ØªØ§Ø²Û ØªØ±ÛÙ Ø±Ú©ÚŸÙÛ Ù
+ÛÚº Ù
+Ø¯Ø¯ ÙØ±Ø§ÛÙ
+ Ú©Ø±ØªØ§ ÛÛ}  
 
 
@@ -268,5 +349,8 @@
 #------------------------------------------------------------
 
-# -- Missing translation: _textabcol_
+_textabcol_ [l=ur] {Ø§Ø³ Ù
+Ø¬Ù
+ÙØ¹Û Ú©Û ØšØ§Ø±Û Ù
+ÛÚº	}  
 
 _textsubcols1_ [l=ur] {<p>ÛÛ Ù
@@ -277,9 +361,18 @@
 ØŽØªÙ
 ÙÛÛÛ Ø¬Ù Ù
-ÛÚº Ø³ÛØ¯Ø³ØªÛØ§Øš Ø¯Ø±Ø¬ Ø°ÛÙ ÛÛÚº :<blockquote>}  # Updated 31-Jul-2006
-
-# -- Missing translation: _textsubcols2_
-
-# -- Missing translation: _titleabout_
+ÛÚº Ø³ÛØ¯Ø³ØªÛØ§Øš Ø¯Ø±Ø¬ Ø°ÛÙ ÛÛÚº :<blockquote>}  
+
+_textsubcols2_ [l=ur] {</blockquote>
+ØØ¢ÙŸ ÙŸÛØŽÚ©ØŽ Ú©Û ØªÙØ¶ÛÙ
+Ø§Øª Ú©Û ØµÙÚŸÛ ÙŸØ±Ù
+ÙØ¬ÙØ¯Û Ø²ÛØ± Ø§Ø³ØªØ¹Ù
+Ø§Ù Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ø§ÙØ± Ø°ÛÙÛ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ú©Ø§ Ø¬Ø§ØŠØ²Û ÙÛ (ÛØ§ ØªØšØ¯ÛÙÛ Ú©Ø±) Ø³Ú©ØªÛ ÛÛÚºÛ}  
+
+_titleabout_ [l=ur] {ØšØ§Ø±Û Ù
+ÛÚº	}  
 
 
@@ -294,51 +387,80 @@
 #------------------------------------------------------------
 
-# -- Missing translation: _texticonopenbookshelf_
-# -- Missing translation: _texticonclosedbookshelf_
-_texticonopenbook_ [l=ur] {Ø§Ø³ Ú©ØªØ§Øš Ú©Ù ØšÙØ¯ Ú©Ø±ÛÚº}  # Updated 2-Nov-2006 by rehman
+_texticonopenbookshelf_ [l=ur] {Ú©ØªØš Ø®Ø§ÙÛ Ú©Û Ø§Ø³ Ø­ØµÛ Ú©Ù ØšÙØ¯ Ú©Ø±ÛÚº}  
+_texticonclosedbookshelf_ [l=ur] {Ú©ØªØš Ø®Ø§ÙÛ Ú©Û Ø§Ø³ ØŽØ¹ØšÛ Ú©Ù Ú©ÚŸÙÙÛÚº Ø§ÙØ± Ù
+ÙØ¯Ø±Ø¬Ø§Øª Ù
+ÙØ§Ø­ØžÛ ÙØ±Ù
+Ø§ØŠÛÚº}  
+_texticonopenbook_ [l=ur] {Ø§Ø³ Ú©ØªØ§Øš Ú©Ù ØšÙØ¯ Ú©Ø±ÛÚº}  
 _texticonclosedfolder_ [l=ur] {Ø§Ø³ ØªÛ ØšÙØ¯ Ú©Ù Ú©ÚŸÙØÙÛ Ø§ÙØ± Ø§Ø³ Ù
 ÛÚº Ù
 ÙØ¬ÙØ¯ Ù
-ÙØ§Ø¯ Ú©Ø§ Ø¬Ø§ÛØ²Û ÙÛ Ø¬Û}  # Updated 10-Jun-2006
-# -- Missing translation: _texticonclosedfolder2_
-# -- Missing translation: _texticonopenfolder_
-# -- Missing translation: _texticonopenfolder2_
-# -- Missing translation: _texticonsmalltext_
-# -- Missing translation: _texticonsmalltext2_
-# -- Missing translation: _texticonpointer_
-# -- Missing translation: _texticondetach_
-# -- Missing translation: _texticonhighlight_
-# -- Missing translation: _texticonnohighlight_
-_texticoncontracttoc_ [l=ur] {ÙÛØ±Ø³Øª Ø§ØšÙØ§Øš Ú©Ù Ø³Ú©ÛÚÙ}  # Updated 31-Jul-2006
-# -- Missing translation: _texticonexpandtoc_
-# -- Missing translation: _texticonexpandtext_
+ÙØ§Ø¯ Ú©Ø§ Ø¬Ø§ÛØ²Û ÙÛ Ø¬Û}  
+_texticonclosedfolder2_ [l=ur] {Ø°ÛÙÛ ØŽØ¹ØšÛ Ú©Ù Ú©ÚŸÙÙÛÚº}  
+_texticonopenfolder_ [l=ur] {Ø§Ø³ ÙÙÙÚØ± Ú©Ù ØšÙØ¯ Ú©Ø±ÛÚº}  
+
+_texticonsmalltext_ [l=ur] {Ù
+ØªÙ Ú©Û Ø§Ø³ Ø­ØµÛ Ú©Ù Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+_texticonsmalltext2_ [l=ur] {Ù
+ØªÙ Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº:}  
+_texticonpointer_ [l=ur] {Ù
+ÙØ¬ÙØ¯Û ØŽØ¹ØšÛ}  
+_texticondetach_ [l=ur] {Ø§Ø³ ØµÙØ­Û Ú©Ù Ø§ÙÚ¯ Ø¯Ø±ÛÚÛ Ù
+ÛÚº Ú©ÚŸÙÙÛÚº}  
+_texticonhighlight_ [l=ur] {ØªÙØ§ØŽ Ú©Û Ú¯ØŠ Ø§ØµØ·ÙØ§Ø­Ø§Øª Ú©Ù Ø§Ø¬Ø§Ú¯Ø± Ú©Ø±ÛÚº}  
+_texticonnohighlight_ [l=ur] {ØªÙØ§ØŽ Ú©Û Ú¯ØŠ Ø§ØµØ·ÙØ§Ø­Ø§Øª Ú©Ù Ø§Ø¬Ø§Ú¯Ø± ÙÛ Ú©Ø±ÛÚº}  
+_texticoncontracttoc_ [l=ur] {ÙÛØ±Ø³Øª Ø§ØšÙØ§Øš Ú©Ù Ø³Ú©ÛÚÙ}  
+_texticonexpandtoc_ [l=ur] {ÙÛØ±Ø³Øª Ù
+ÙØ¯Ø±Ø¬Ø§Øª Ú©Ù ÙŸÚŸÛÙØ§ØŠÛÚº}  
+_texticonexpandtext_ [l=ur] {ØªÙ
+Ø§Ù
+ Ù
+ØªÙ Ø¯Ú©ÚŸØ§ØŠÛÚº}  
 _texticoncontracttext_ [l=ur] {ØµØ±Ù Ù
-ÙØªØ®Øš Ú©Ø±Ø¯Û Ø­ØµÛ Ú©Ù Ø¯Ú©ÚŸØ§Ù}  # Updated 31-Jul-2006
-# -- Missing translation: _texticonwarning_
-# -- Missing translation: _texticoncont_
-
-# -- Missing translation: _textltwarning_
-
-# -- Missing translation: _textgoto_
-# -- Missing translation: _textintro_
-
-# -- Missing translation: _textCONTINUE_
-
-# -- Missing translation: _textEXPANDTEXT_
+ÙØªØ®Øš Ú©Ø±Ø¯Û Ø­ØµÛ Ú©Ù Ø¯Ú©ÚŸØ§Ù}  
+_texticonwarning_ [l=ur] {<b>ØªÙØšÛÛ: </b>}  
+_texticoncont_ [l=ur] {Ø¬Ø§Ø±Û Ø±ÛÛØ}  
+
+
+
+_textgoto_ [l=ur] {ØµÙØ­Û ÙŸØ± Ø¬Ø§ØŠÛÚº}  
+_textintro_ [l=ur] {<i>(ØªØ¹Ø§Ø±ÙÛ Ù
+ØªÙ)</i>}  
+
+_textCONTINUE_ [l=ur] {Ø¬Ø§Ø±Û Ø±ÛÛØ}  
+
+_textEXPANDTEXT_ [l=ur] {Ù
+ØªÙ Ú©Ù ÙŸÚŸÛÙØ§ØŠÛÚº}  
 
 _textCONTRACTCONTENTS_ [l=ur] {Ù
 Ø¹Ø§ÛØ¯Û Ú©Ø§ Ù
-ØªÙ}  # Updated 2-Nov-2006 by rehman
-
-# -- Missing translation: _textDETACH_
-
-# -- Missing translation: _textEXPANDCONTENTS_
-
-# -- Missing translation: _textCONTRACT_
-
-# -- Missing translation: _textHIGHLIGHT_
-
-# -- Missing translation: _textNOHIGHLIGHT_
-
+ØªÙ}  
+
+_textDETACH_ [l=ur] {Ø§ÙÚ¯ Ú©Ø±ÛÚº}  
+
+_textEXPANDCONTENTS_ [l=ur] {Ù
+ÙØ¯Ø±Ø¬Ø§Øª Ú©Ù ÙŸÚŸÛÙØ§ØŠÛÚº}  
+
+_textCONTRACT_ [l=ur] {Ù
+ØªÙ Ú©Ù ØšÙØ¯ Ú©Ø±ÛÚº}  
+
+_textHIGHLIGHT_ [l=ur] {Ø§Ø¬Ø§Ú¯Ø± Ú©Ø±ÛÚº}  
+
+_textNOHIGHLIGHT_ [l=ur] {Ø§Ø¬Ø§Ú¯Ø± ÙÛ Ú©Ø±ÛÚº}  
+
+_textPRINT_ [l=ur] {ÚÚŸØ§ÙŸÛÚº}  
+
+_textnextsearchresult_ [l=ur] {Ø§Ú¯ÙÛ ØªÙØ§ØŽ ØŽØ¯Û ÙØªØ§ØŠØ¬}  
+_textprevsearchresult_ [l=ur] {ØªÙØ§ØŽ Ú©ÛØ§ ÚŸÙØ§ ÙŸÚÚŸÙØ§ ÙØªÛØ¬Û}  
+
+# macros for printing page
+_textreturnoriginal_ [l=ur] {ØšÙÛØ§Ø¯Û ØµÙØ­Û ÙŸØ± ÙØ§ÙŸØ³ Ø¢ØŠÛÚº}  
+_textprintpage_ [l=ur] {Ø§Ø³ ØµÙØ­Û Ú©Ù ÚÚŸØ§ÛÛÚº}  
+_textshowcontents_ [l=ur] {ÙÛØ±Ø³Øª Ù
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+_texthidecontents_ [l=ur] {ÙÛØ±Ø³Øª Ù
+ÙØ¯Ø±Ø¬Ø§Øª Ú©Ù ÚÚŸÙŸØ§ØŠÛÚº}  
 
 ######################################################################
@@ -355,53 +477,53 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=ur] {Ø§Ú¯Ø±_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq}  # Updated 2-Nov-2006 by rehman
-_textnoquerytitle_ [l=ur] {ØµÙØ­Û ØªÙØ§ØŽ}  # Updated 31-Jul-2006
-
-# -- Missing translation: _textsome_
-# -- Missing translation: _textall_
-# -- Missing translation: _textboolean_
-# -- Missing translation: _textranked_
-# -- Missing translation: _textnatural_
-# -- Missing translation: _textsortbyrank_
-# -- Missing translation: _texticonsearchhistorybar_
-
-# -- Missing translation: _textifeellucky_
+_textquerytitle_ [l=ur] {Ø§Ú¯Ø±_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq}  
+_textnoquerytitle_ [l=ur] {ØµÙØ­Û ØªÙØ§ØŽ}  
+
+
+
+
+
+
+
+
+
+
 
 #alt text for query buttons
-# -- Missing translation: _textusequery_
-_textfreqmsg1_ [l=ur] {Ø§ÙÙØ§Øž Ú©Û ØªØ¹Ø¯Ø§Ø¯}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textpostprocess_
-# -- Missing translation: _textinvalidquery_
-# -- Missing translation: _textstopwordsmsg_
-# -- Missing translation: _textlucenetoomanyclauses_
-
-# -- Missing translation: _textmorethan_
-# -- Missing translation: _textapprox_
-# -- Missing translation: _textnodocs_
-# -- Missing translation: _text1doc_
-# -- Missing translation: _textlotsdocs_
+
+_textfreqmsg1_ [l=ur] {Ø§ÙÙØ§Øž Ú©Û ØªØ¹Ø¯Ø§Ø¯}  
+
+
+
+
+
+
+
+
+
+
 _textmatches_ [l=ur] {Ù
 Ù
-Ø§Ø«Ù}  # Updated 31-Jul-2006
-# -- Missing translation: _textbeginsearch_
-# -- Missing translation: _textrunquery_
-# -- Missing translation: _textclearform_
+Ø§Ø«Ù}  
+
+
+
 
 #these go together in form search:
 #"Words  (fold, stem)  ... in field"
-_textwordphrase_ [l=ur] {Ø§ÙÙØ§Øž}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textinfield_
-# -- Missing translation: _textfoldstem_
-
-# -- Missing translation: _textadvquery_
+_textwordphrase_ [l=ur] {Ø§ÙÙØ§Øž}  
+
+
+
+
 _textallfields_ [l=ur] {ØªÙ
 Ø§Ù
  Ù
-ÙØ¯Ø±Ø¬Ø§Øª}  # Updated 2-Nov-2006 by rehman
+ÙØ¯Ø±Ø¬Ø§Øª}  
 _texttextonly_ [l=ur] {ØµØ±Ù Ù
-ØªÙ}  # Updated 31-Jul-2006
-# -- Missing translation: _textand_
-# -- Missing translation: _textor_
-# -- Missing translation: _textandnot_
+ØªÙ}  
+
+
+
 
 # _indexselection_, _jselection_, _nselection_ and _gselection_ are set from 
@@ -411,46 +533,46 @@
 _textsimplesearch_ [l=ur] {ØªÙØ§ØŽ Ú©Ø±Ù_indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) Ù
 ÛÚºØ Ø¬Ø³ Ù
-ÛÚº ÛÛ Ø§ÙÙØ§Øž ÙŸØ§Û Ø¬Ø§ØªÛ ÛÙÚº_querytypeselection_ }  # Updated 31-Jul-2006
-
-# -- Missing translation: _textadvancedsearch_
-
-# -- Missing translation: _textadvancedmgppsearch_
-
-# -- Missing translation: _textadvancedlucenesearch_
-
-# -- Missing translation: _textformsimplesearch_
-
-# -- Missing translation: _textformadvancedsearchmgpp_
-
-# -- Missing translation: _textformadvancedsearchlucene_
-
-# -- Missing translation: _textnojsformwarning_
+ÛÚº ÛÛ Ø§ÙÙØ§Øž ÙŸØ§Û Ø¬Ø§ØªÛ ÛÙÚº_querytypeselection_}  
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 _textdatesearch_ [l=ur] {Ø§ÙÙŸ Ø§Ø³ Ù
 ÙØ§Ø¯ Ú©Ù Ú©Ø³Û ØªØ§Ø±ÛØ® Ù
 ÛÚº ØªÙØ§ØŽ Ø³Ú©ØªÛ ÛÛÚºØ ÛØ§ Ú©Ø³Û Ø®Ø§Øµ ØªØ§Ø±ÛÚº Ú©Û Ù
-ÙØ§Ø¯ Ú©Ù ÚÚŸÙÙÚ Ø³Ú©ØªÛ ÛÛÚºÛ ÛÛ ØªÙØ§ØŽ Ú©Ø§ Ø§ÛÚ© Ø§Ø®ØªÛØ§Ø±Û ÙŸÛÙÙ ÛÛ}  # Updated 10-Jun-2006
-# -- Missing translation: _textstartdate_
-# -- Missing translation: _textenddate_
-# -- Missing translation: _textbc_
-_textad_ [l=ur] {C.E.}  # Updated 2-Nov-2006 by rehman
+ÙØ§Ø¯ Ú©Ù ÚÚŸÙÙÚ Ø³Ú©ØªÛ ÛÛÚºÛ ÛÛ ØªÙØ§ØŽ Ú©Ø§ Ø§ÛÚ© Ø§Ø®ØªÛØ§Ø±Û ÙŸÛÙÙ ÛÛ}  
+
+
+
+_textad_ [l=ur] {C.E.}  
 _textexplaineras_ [l=ur] {ØšØ¹Ø¯ Ù
-ÛÙ}  # Updated 2-Nov-2006 by rehman
-
-# -- Missing translation: _textstemon_
-
-# -- Missing translation: _textsearchhistory_
+ÛÙ}  
+
+
+
+
 
 #text macros for search history
-# -- Missing translation: _textnohistory_
-_texthresult_ [l=ur] {ÙØªÛØ¬Û}  # Updated 31-Jul-2006
-# -- Missing translation: _texthresults_
-# -- Missing translation: _texthallwords_
-# -- Missing translation: _texthsomewords_
-# -- Missing translation: _texthboolean_
-# -- Missing translation: _texthranked_
-# -- Missing translation: _texthcaseon_
-# -- Missing translation: _texthcaseoff_
-# -- Missing translation: _texthstemon_
-# -- Missing translation: _texthstemoff_
+
+_texthresult_ [l=ur] {ÙØªÛØ¬Û}  
+
+
+
+
+
+
+
+
+
 
 
@@ -465,54 +587,64 @@
 #------------------------------------------------------------
 
-# -- Missing translation: _textprefschanged_
-# -- Missing translation: _textsetprefs_
-# -- Missing translation: _textsearchprefs_
-# -- Missing translation: _textcollectionprefs_
+
+
+_textsearchprefs_ [l=ur] {ØªÙØ§ØŽ Ú©Ø±ÙÛ Ú©Û ØªÙØžÛÙ
+Ø§Øª}  
+
 _textpresentationprefs_ [l=ur] {ÙŸÛØŽÚ©ØŽ Ú©Û ØªÙØžÛÙ
-Ø§Øª}  # Updated 20-Jun-2006
-# -- Missing translation: _textpreferences_
-# -- Missing translation: _textcasediffs_
-# -- Missing translation: _textignorecase_
-# -- Missing translation: _textmatchcase_
-# -- Missing translation: _textwordends_
-# -- Missing translation: _textstem_
-# -- Missing translation: _textnostem_
-# -- Missing translation: _textaccentdiffs_
-# -- Missing translation: _textignoreaccents_
-# -- Missing translation: _textmatchaccents_
-
-# -- Missing translation: _textprefop_
-# -- Missing translation: _textextlink_
-_textintlink_ [l=ur] {Ø¯Ø³ØªØ§ÙÛØ²Ø±Ø§Øª Ø­Ø§ØµÙ Ú©ÛÛ Ú¯Û ØšØ°Ø±ÛØ¹Û:}  # Updated 31-Jul-2006
+Ø§Øª}  
+
+_textcasediffs_ [l=ur] {ÚÚŸÙÙ¹Û Ø§ÙØ± ØšÚÛ Ø­Ø±ÙÙ ØªÛØ¬Û Ú©Û ÙØ±Ù}  
+_textignorecase_ [l=ur] {ØšÚÛ / ÚÚŸÙÙ¹Û Ø­Ø±ÙÙ ØªÛØ¬Û Ú©Û ÙØ±Ù Ú©Ù ÙØžØ± Ø§ÙØ¯Ø§Ø² Ú©Ø±ÛÚº}  
+_textmatchcase_ [l=ur] {ÚÚŸÙÙ¹Û /  ØšÚÛ Ø­Ø±ÙÙ ØªÛØ¬Û ÛØ± ØµÙØ±Øª Ù
+ÛÚº Ù
+Ø·Ø§ØšÙØª Ø±Ú©ÚŸØªÛ ÛÙÚº}  
+
+
+
+_textaccentdiffs_ [l=ur] {ÙÛØ¬Û Ú©Û ÙØ±Ù}  
+_textignoreaccents_ [l=ur] {ÙÛØ¬Û Ú©Û ÙØ±Ù Ú©Ù ÙØžØ± Ø§ÙØ¯Ø§Ø² Ú©Ø±ÛÚº}  
+_textmatchaccents_ [l=ur] {ÙÛØ¬Û ÛØ± ØµÙØ±Øª Ù
+ÛÚº Ù
+Ø·Ø§ØšÙØª Ø±Ú©ÚŸØªØ§ ÛÙ}  
+
+
+
+_textintlink_ [l=ur] {Ø¯Ø³ØªØ§ÙÛØ²Ø±Ø§Øª Ø­Ø§ØµÙ Ú©ÛÛ Ú¯Û ØšØ°Ø±ÛØ¹Û:}  
 _textlanguage_ [l=ur] {Ø§Ø³ØªØ¹Ù
-Ø§Ù ÛÙÙÛ ÙØ§ÙÛ Ø²ØšØ§Ù}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _textencoding_
-# -- Missing translation: _textformat_
-# -- Missing translation: _textall_
-# -- Missing translation: _textquerymode_
-# -- Missing translation: _textsimplemode_
-# -- Missing translation: _textadvancedmode_
+Ø§Ù ÛÙÙÛ ÙØ§ÙÛ Ø²ØšØ§Ù}  
+
+
+_textall_ [l=ur] {ØªÙ
+Ø§Ù
+}  
+
+
+
 _textlinkinterm_ [l=ur] {Ø¯Ø±Ù
 ÛØ§ÙÛ ØµÙØ­Û Ú©Û Ù
-Ø¯Ø¯ Ø³Û}  # Updated 2-Nov-2006 by rehman
-_textlinkdirect_ [l=ur] {ØšØ±Ø§Û Ø±Ø§Ø³Øª ÙÛØ§Úº Ø¬Ø§ØŠÛ}  # Updated 29-Jun-2006
-# -- Missing translation: _textdigitlib_
-# -- Missing translation: _textweb_
-# -- Missing translation: _textgraphical_
-# -- Missing translation: _texttextual_
-# -- Missing translation: _textcollectionoption_
-
-# -- Missing translation: _textsearchtype_
+Ø¯Ø¯ Ø³Û}  
+_textlinkdirect_ [l=ur] {ØšØ±Ø§Û Ø±Ø§Ø³Øª ÙÛØ§Úº Ø¬Ø§ØŠÛ}  
+_textdigitlib_ [l=ur] {Ø§ØµØšØ¹Û Ú©ØªØš Ø®Ø§ÙÛ}  
+
+
+
+_textcollectionoption_ [l=ur] {ØŽØ§Ù
+Ù Ú©ÛÛ Ø¬Ø§ÙÛ ÙØ§ÙÛ Ø°ÛÙÛ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª}  
+
+
 _textformsearchtype_ [l=ur] {ØšØ¹Ø¯ Ù
-ÛÙ}  # Updated 1-Nov-2006 by rehman
-# -- Missing translation: _textplainsearchtype_
-# -- Missing translation: _textregularbox_
-# -- Missing translation: _textlargebox_
-
-# -- Missing translation: _textrelateddocdisplay_
-# -- Missing translation: _textsearchhistory_
-# -- Missing translation: _textnohistory_
-# -- Missing translation: _texthistorydisplay_
-# -- Missing translation: _textnohistorydisplay_
+ÛÙ}  
+
+
+_textlargebox_ [l=ur] {ØšÚØ§}  
+
+
+
+_textnohistory_ [l=ur] {ØªØ§Ø±ÛØ® ØªÙØ§ØŽ ÙØ¯Ø§Ø±Ø¯ ÛÛ}  
+
+_textnohistorydisplay_ [l=ur] {ØªØ§Ø±ÛØ® ØªÙØ§ØŽ ØžØ§ÛØ± ÙÛ ÛÙ}  
 
 
@@ -522,21 +654,29 @@
 #####################################################################
 
-# -- Missing translation: _textsortby_
-# -- Missing translation: _textalsoshowing_
-# -- Missing translation: _textwith_
-_textdocsperpage_ [l=ur] {ÙÛ ØµÙØ­Û Ø¯Ø³ØªØ§ÙÛØ²Ø§Øª}  # Updated 20-Jun-2006
-
-# -- Missing translation: _textfilterby_
-# -- Missing translation: _textall_
-# -- Missing translation: _textany_
-# -- Missing translation: _textwords_
+_textsortby_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª Ú©Ù ØªØ±ØªÛØš Ø¯ÛÚº ØšÙØ­Ø§Øž}  
+_textalsoshowing_ [l=ur] {ÛÛ ØšÚŸÛ Ø¯Ú©ÚŸØ§ÛØ§ Ø¬Ø§ Ø±ÛØ§ ÛÛ}  
+
+_textdocsperpage_ [l=ur] {ÙÛ ØµÙØ­Û Ø¯Ø³ØªØ§ÙÛØ²Ø§Øª}  
+
+_textfilterby_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª Ø­Ø§ØµÙ Ú©Ø±ÛÚº Ø¬Ù Ù
+ÛÚº ÙŸØ§ÛØ§ Ø¬Ø§ØªØ§ ÛÛ}  
+_textall_ [l=ur] {ØªÙ
+Ø§Ù
+}  
+_textany_ [l=ur] {Ú©ÙØŠ ØšÚŸÛ}  
+_textwords_ [l=ur] {Ø§Ù Ø§ÙÙØ§Øž Ù
+ÛÚº Ø³Û	}  
 _textleaveblank_ [l=ur] {ØªÙ
 Ø§Ù
- Ø¯Ø³ØªØ§ÙÛØ²Ø§Øª Ú©Û Ø­ØµÙÙ Ú©Û ÙÛÛ Ø§Ø³ Ø®Ø§ÙÛ Ú©Ù Ø®Ø§ÙÛ ÚÚŸÙÚ Ø¯ÛÚº}  # Updated 31-Jul-2006
-
-# -- Missing translation: _browsebuttontext_
-
-# -- Missing translation: _nodata_
-# -- Missing translation: _docs_
+ Ø¯Ø³ØªØ§ÙÛØ²Ø§Øª Ú©Û Ø­ØµÙÙ Ú©Û ÙÛÛ Ø§Ø³ Ø®Ø§ÙÛ Ú©Ù Ø®Ø§ÙÛ ÚÚŸÙÚ Ø¯ÛÚº}  
+
+
+
+_nodata_ [l=ur] {<i>Ú©ÙØŠ Ù
+ÙØ§Ø¯ ÙÛÛÚº ÛÛ</i>	}  
+_docs_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª	}  
 ######################################################################
 # 'help' page -- this is lower priority for translating than the
@@ -550,120 +690,153 @@
 #------------------------------------------------------------
 
-# -- Missing translation: _textHelp_
+_textHelp_ [l=ur] {Ù
+Ø¯Ø¯}  
 
 # Macros giving a brief help message for navigation bar access buttons
 # The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
 # To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
-# -- Missing translation: _textdefaulthelp_
-
-# -- Missing translation: _textSearchhelp_
-# -- Missing translation: _textTohelp_
-# -- Missing translation: _textFromhelp_
-# -- Missing translation: _textBrowsehelp_
-# -- Missing translation: _textAcronymhelp_
-# -- Missing translation: _textPhrasehelp_
-
-# -- Missing translation: _texthelptopicstitle_
-
-# -- Missing translation: _textreadingdocs_
-
-# -- Missing translation: _texthelpreadingdocs_
+_textdefaulthelp_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª Ú©Û ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ ØšÙØ­Ø§Øž _1_ Ø§ÙØ± _2_ ØšÙ¹Ù}  
+
+
+
+
+_textBrowsehelp_ [l=ur] {Ù
+Ø³ÙØ¯Ø§Øª Ú©Û ÙØ±Ù Ú¯Ø±Ø¯Ø§ÙÛ}  
+
+
+
+_texthelptopicstitle_ [l=ur] {Ù
+ÙØ¶ÙØ¹Ø§Øª}  
+
+_textreadingdocs_ [l=ur] {Ù
+Ø³ÙØ¯Û Ú©Ù Ú©ÛØ³Û ÙŸÚÚŸÛÚº}  
+
+
 
 # help about the icons
 _texthelpopenbookshelf_ [l=ur] {Ø§Ø³ Ú©ØªØ§ØšÙÚº Ú©Û Ø§ÙÙ
-Ø§Ø±Û Ú©Ù Ú©ÚŸÙÙÙ}  # Updated 31-Jul-2006
-# -- Missing translation: _texthelpopenbook_
+Ø§Ø±Û Ú©Ù Ú©ÚŸÙÙÙ}  
+_texthelpopenbook_ [l=ur] {Ø§Ø³ Ú©ØªØ§Øš Ú©Ù Ú©ÚŸÙÙÛÚº /ØšÙØ¯ Ú©Ø±ÛÚº}  
 _texthelpviewtextsection_ [l=ur] {Ù
 ØªÙ Ú©Ø§ ÛÛ Ø­ØµÛ Ù
-ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _texthelpexpandtext_
-# -- Missing translation: _texthelpexpandcontents_
+ÙØ§Ø­ØžÛ Ú©Ø±ÛÚº}  
+
+
 _texthelpdetachpage_ [l=ur] {Ø§Ø³ Ù
 Ø³Ù Ú©ÙØ§ÛÚ© ÙÛÙ Ø¯Ø±ÛÚÛ Ù
-ÛÚº Ú©ÚŸÙÙÙ}  # Updated 20-Jun-2006
-# -- Missing translation: _texthelphighlight_
-# -- Missing translation: _texthelpsectionarrows_
-
-
-# -- Missing translation: _texthelpsearchingtitle_
-
-# -- Missing translation: _texthelpsearching_
-
-# -- Missing translation: _texthelpquerytermstitle_
-# -- Missing translation: _texthelpqueryterms_
-
-# -- Missing translation: _texthelpmgppsearching_
-
-# -- Missing translation: _texthelplucenesearching_
-
-# -- Missing translation: _texthelpquerytypetitle_
-# -- Missing translation: _texthelpquerytype_
-
-# -- Missing translation: _texthelpadvancedsearchtitle_
-
-# -- Missing translation: _texthelpadvancedsearch_
-
-# -- Missing translation: _texthelpadvsearchmg_
-
-# -- Missing translation: _texthelpbooleansearch_
-
-# -- Missing translation: _texthelpadvsearchmgpp_
-
-# -- Missing translation: _texthelpadvancedsearchextra_
-
-# -- Missing translation: _texthelpadvsearchlucene_
-
-# -- Missing translation: _texthelpformsearchtitle_
-
-# -- Missing translation: _texthelpformsearch_
-
-# -- Missing translation: _texthelpformstemming_
-
-# -- Missing translation: _textdatesearch_
-
-# -- Missing translation: _texthelpdatesearch_
-
-# -- Missing translation: _texthelpdatehowtotitle_
-# -- Missing translation: _texthelpdatehowto_
-
-# -- Missing translation: _texthelpdateresultstitle_
-# -- Missing translation: _texthelpdateresults_
-
-# -- Missing translation: _textchangeprefs_
-
-# -- Missing translation: _texthelppreferences_
-
-# -- Missing translation: _texthelpcollectionprefstitle_
-# -- Missing translation: _texthelpcollectionprefs_
+ÛÚº Ú©ÚŸÙÙÙ}  
+
+_texthelpsectionarrows_ [l=ur] {Ø§Ú¯ÙÛ   /  ÙŸÚÚŸÙÛ Ø­ØµÛ ÙŸØ± Ø¬Ø§ØŠÛÚº}  
+
+
+_texthelpsearchingtitle_ [l=ur] {Ú©Ø³Û Ø®Ø§Øµ ÙÙØž Ú©Ù Ú©ÛØ³Û ØªÙØ§ØŽ Ú©ÛØ§ Ø¬Ø§ØªØ§ ÛÛ}  
+
+
+
+_texthelpquerytermstitle_ [l=ur] {ØªÙØ§ØŽ Ú©Û Ø§ØµØ·ÙØ§Ø­Ø§Øª}  
+
+
+
+
+
+
+_texthelpquerytypetitle_ [l=ur] {ØªÙØ§ØŽ Ú©Û ÙØ³Ù
+}  
+
+
+_texthelpadvancedsearchtitle_ [l=ur] {ÙŸÛÚÛØ¯Û ØªÙØ§ØŽ ØšØ°Ø±ÛØ¹Û _1_ Ø³Ø±Ú Ø§ÙØ¬Ù}  
+
+
+
+
+
+
+
+
+
+_texthelpadvancedsearchextra_ [l=ur] {ÙÙÙ¹: Ø§Ú¯Ø± Ø§ÙÙŸ Ø³Ø§Ø¯Û ØªÙØ§ØŽ Ú©Ù Ø§Ø³ØªØ¹Ù
+Ø§Ù Ú©Ø±ÛÚº ØªÙ ÛÛ ØªÙ
+Ø§Ù
+ operator ÙØžØ± Ø§ÙØ¯Ø§Ø² ÛÙ Ø¬Ø§ØŠÛÚº Ú¯Û}  
+
+_texthelpadvsearchlucene_ [l=ur] {ÛLucence Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ù
+ÛÚº ÙŸÛÚÛØ¯Û ØªÙØ§ØŽ}  
+
+
+
+
+
+
+
+_textdatesearch_ [l=ur] {ØªÙØ§ØŽ ØšÙØ­Ø§Øž ØªÙØ§Ø±ÛØ®}  
+
+
+
+_texthelpdatehowtotitle_ [l=ur] {Ø§Ø³ Ø³ÛÙÙØª Ú©Ù Ú©ÛØ³Û Ø§Ø³ØªØ¹Ù
+Ø§Ù Ú©Ø±ÙØ§ ÛÛ}  
+
+
+
+
+
+_textchangeprefs_ [l=ur] {Ø§ÙŸÙÛ ØªÙØžÛÙ
+Ø§Øª Ù
+ÛÚº ØªØšØ¯ÛÙÛ}  
+
+
+
+_texthelpcollectionprefstitle_ [l=ur] {Ù
+Ø¬Ù
+ÙØ¹Û Ú©Û ØªÙØžÛÙ
+Ø§Øª}  
+_texthelpcollectionprefs_ [l=ur] {<p>Ú©ÚÚŸ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ø°ÛÙÛ Ù
+Ø¬Ù
+ÙØ¹Û ÙŸØ± Ù
+ØŽØªÙ
+Ù ÛÛÚº Ø§ÙØ± Ø§Ù Ù
+ÛÚº Ø¹ÙÛØ­Ø¯Û Ø¹ÙÛØ­Ø¯Û ÛØ§ Ù
+Ø¬Ù
+ÙØ¹Û Ø·ÙØ± ÙŸØ± ØªÙØ§ØŽ Ú©Û Ø¬Ø§ Ø³Ú©ØªÛ ÛÛÛØ§ÙØ± Ø§ÛØ³Ø§ Ú©Ø±ÙÛ Ú©Û ÙÛÛ Ø§ÙÙŸ ØµÙØ­Û ØªÙØžÛÙ
+Ø§Øª Ø³Û Ø§Ù Ø°ÛÙÛ Ù
+Ø¬Ù
+ÙØ¹Û Ø¬Ø§Øª Ú©Ù Ø§ÙŸÙÛ ØªÙØ§ØŽ Ù
+ÛÚº ØŽØ§Ù
+Ù Ú©Ø± Ø³Ú©ØªÛ ÛÛÚº}  
 
 _texthelplanguageprefstitle_ [l=ur] {ÙØ³Ø§ÙÛ ØªÙØžÛÙ
-Ø§Øª}  # Updated 2-Nov-2006 by rehman
-# -- Missing translation: _texthelplanguageprefs_
-
-# -- Missing translation: _texthelppresentationprefstitle_
-# -- Missing translation: _texthelppresentationprefs_
-
-# -- Missing translation: _texthelpsearchprefstitle_
-# -- Missing translation: _texthelpsearchprefs_
-
-# -- Missing translation: _textcasefoldprefs_
-# -- Missing translation: _textstemprefs_
-# -- Missing translation: _textaccentfoldprefs_
+Ø§Øª}  
+
+
+
+
+
+_texthelpsearchprefstitle_ [l=ur] {ØªÙØ§ØŽ Ú©Û ØªÙØžÛÙ
+Ø§Øª}  
+
+
+
+
+
  
-# -- Missing translation: _textstemoptionsprefs_
-
-# -- Missing translation: _textsearchtypeprefsplain_
-
-# -- Missing translation: _textsearchtypeprefsform_
-
-# -- Missing translation: _textsearchtypeprefsboth_
-
-
-
-# -- Missing translation: _texttanumbrowseoptions_
-
-# -- Missing translation: _textsimplehelpheading_
-
-# -- Missing translation: _texthelpscopetitle_
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+_texthelpscopetitle_ [l=ur] {ØªÙØ§ØŽ Ú©Ø§ Ø¯Ø§ØŠØ±Û Ú©Ø§Ø±}  
 _texthelpscope_ [l=ur] {<p>
 Ø²ÛØ§Ø¯Û ØªØ± Ù
@@ -687,3 +860,3 @@
 Ø²Ú©ÙØ±Û Ù
 Ø³ÙØ¯Û Ú©ØªØ§ØšÛÚº ÛÛÚº ØªÙ ÙÛ Ù
-Ø®ØªØµ ØŽØ¯Û Ø¬Ú¯Û ÙŸØ± ÛÛ Ú©ÚŸÙÙÛ Ø¬Ø§ Ø³Ú©ØªÛ ÛÛÚºÛ}  # Updated 29-Jun-2006
+Ø®ØªØµ ØŽØ¯Û Ø¬Ú¯Û ÙŸØ± ÛÛ Ú©ÚŸÙÙÛ Ø¬Ø§ Ø³Ú©ØªÛ ÛÛÚºÛ}  
